/* This file is part of MeeGoFrames Component Library
 * Copyright (C) 2011 Martin Grimme  <martin.grimme _AT_ gmail.com>
 *
 * This program is free software; you can redistribute it, even commercially, 
 * as long as this copyright notice remains in place.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */


import Qt 4.7

Rectangle {

    property alias icon: imageLabel.source

    signal clicked()

    id: button
    width: 70
    height: 70

    radius: 3
    color: "#a0000000"


    states: [
        State {
            name: "pressed"
            when: mouseArea.pressed
            PropertyChanges {
                target: button
                color: "#606060"
                scale: 0.9
            }
        }
    ]

    Behavior on color {
        ColorAnimation { duration: 100 }
    }

    Behavior on scale {
        NumberAnimation { duration: 100 }
    }

    Image {
        anchors.centerIn: parent
        id: imageLabel
        visible: source != ""
        anchors.horizontalCenter: parent.horizontalCenter
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: parent.clicked()
    }
}
