import QtQuick 1.0

Rectangle {
    // Login : [text entry]
    // Password : [pwd entry]
    color: "transparent"

    property alias loginValue: inputLogin.text
    property alias passwordValue: inputPwd.text

    Column {
        anchors.fill: parent
        anchors.margins: 30
        spacing: 10

        Row {
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.right: parent.right
            anchors.rightMargin: 10

            Text {
                id: labelLogin
                color: "white"
                anchors.verticalCenter: parent.verticalCenter
                width: 150
                text: qsTr("Login")
                font.pixelSize: 24
                font.bold: true
            }

            LineInput {
                id: inputLogin
                width: parent.width - 150 - 10 - 10
                anchors.verticalCenter: parent.verticalCenter
            }
        }

        Row {
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.right: parent.right
            anchors.rightMargin: 10

            Text {
                id: labelPwd
                color: "white"
                anchors.verticalCenter: parent.verticalCenter
                width: 150
                text: qsTr("Password")
                font.pixelSize: 24
                font.bold: true
            }

            LineInput {
                id: inputPwd
                width: parent.width - 150 - 10 - 10
                anchors.verticalCenter: parent.verticalCenter
                // password specific
                input.echoMode: TextInput.Password
            }
        }
    }
}
